<?xml version="1.0" encoding="utf-8"?>
<flectra> 
	
	<report
	        string="Picking Operations"
	        id="stock.action_report_picking"
	        model="stock.picking"
	        report_type="qweb-pdf"
	        name="stock.report_picking"
	        file="stock.report_picking_operations"
			paperformat="report_layout_changes.paperformat_eq_european_a4"
	        print_report_name="'Picking Operations - %s - %s' % (object.partner_id.name or '', object.name)"
	    />
	
	<!-- header data -->
	<template id="eq_external_layout_header_stock_picking_data">
		<div class="row"> 
			<div class="col-xs-7" />
			<div class="col-xs-5 headerdata2">
				<table style="width:100%;float:right;">
					<tbody> 
						<tr>
							<td>
								<span>Customer no.</span>
							</td>
							<td class="text-right">
								<span t-field="o.partner_id.eq_customer_ref" id="eq_customer_ref" />
							</td>
						</tr>
						<tr>
							<td>
								<strong>
									<span>Your reference no.</span>
								</strong>
							</td>
							<td class="text-right">
								<div class="referencecontainer">
									<strong>
										<span t-field="o.eq_ref_number" />
									</strong>
								</div>
							</td>
						</tr>
						<tr>
							<td>
								<span>Commitment Date</span>
							</td>
							<td class="text-right" t-if="o.date">
								<span t-esc="o.date.split(' ')[0].split('-')[2] + '.' + o.date.split(' ')[0].split('-')[1] + '.' + o.date.split(' ')[0].split('-')[0]" />
								<!-- <span t-esc="o.date.split(' ')[0]"/> -->
							</td>
						</tr>
						<tr t-if="o.date_done and o.state == 'done'">
							<td>
								<span>Delivery Date</span>
							</td>
							<td class="text-right" t-if="o.date_done">
								<span
									t-esc="o.date_done.split(' ')[0].split('-')[2] + '.' + o.date_done.split(' ')[0].split('-')[1] + '.' + o.date_done.split(' ')[0].split('-')[0]" />
							</td>
						</tr>
						<tr class="partnervat" t-if="o.partner_id.property_account_position_id.name == 'Kunde EU Unternehmen (mit USt-ID)' and o.partner_id.vat">
							<td>
								<span>Cust. Tax-ID no.</span>
							</td>
							<td class="text-right">
								<span t-field="o.partner_id.vat" />
							</td>
						</tr>
						<tr>
							<td />
						</tr>
					</tbody> 
				</table>
			</div>
		</div>
	</template>
	
	<!-- header -->
	<template id="eq_external_layout_header_stock_picking">
		<div class="header">
			<div class="row zero_min_height reportlogo">
				<div>
					<!--<img t-if="company.eq_report_logo"
						t-att-src="'data:image/png;base64,%s' % company.eq_report_logo"
						style="margin-right:15px; float:right;" class="text-right" />-->
					<img t-if="company.logo" t-att-src="'data:image/png;base64,%s' % to_text(company.logo)" 
							style="margin-right:15px; float:right;" class="text-right"/> 
				</div>
			</div>
			<t t-call="report_layout_changes.eq_external_layout_header_stock_picking_data" />
			<div class="row zero_min_height">
<!--				<t t-raw="0" /-->
				<div class="col-xs-12">
					<div style="font-size:6.5pt;text-decoration: underline;" />
					<!--<div style="border-bottom: 1px solid black;"/> -->
				</div>
			</div>
		</div>
	</template>    	
	
	
	<template id="external_layout_stock_picking">
			<!-- Multicompany -->
		<t t-if="o and 'company_id' in o">
			<t t-set="company" t-value="o.company_id"></t>
		</t>
		<t t-if="not o or not 'company_id' in o">
			<t t-set="company" t-value="res_company"></t>
		</t>

		<t t-call="report_layout_changes.eq_external_layout_header_stock_picking" />
		<div class="article o_report_layout_standard">
            <t t-raw="0" />
        </div>
		<t t-call="report_layout_changes.eq_external_layout_footer" />
	</template>
	
	<!--	Picking Body Data	-->
	<template id="report_picking_data"> 
		<div class="page">
			<div class="oe_structure" />
			<div class="row"> 
				<div class="col-xs-7 addressmargin">
					<div t-if="o.picking_type_id.code=='outgoing' and o.partner_id">
						<div class="row col-xs-12 returnaddress">
							<h t-field="o.company_id.name" />
							-
							<span t-field="o.company_id.street" />
							<span t-if="o.company_id.eq_house_no">
								<span t-field="o.company_id.eq_house_no" />
							</span>
							-
							<span t-field="o.company_id.zip" />
							<span t-field="o.company_id.city" />
						</div>
					</div>
					<div t-if="o.partner_id" name="partner_header" style="clear:left;">
						<div t-if="o.partner_id.is_company == True">
							<div t-if="o.partner_id.eq_firstname" style="clear:left;">
								<!-- eq_name2 (Firma) wird vorgezogen wenn ein Vorname für die FIRMA vorhanden ist - dies ist aus steuerrechtlicher Sicht wichtig. Thema: Webshop-Kunde mit Firma.  -->
								<div t-if="o.partner_id.eq_name2" t-field="o.partner_id.eq_name2" style="clear:left;" />
								<div  style="clear:left;">
									<h t-if="o.partner_id.title.name" t-field="o.partner_id.title.name"  />
									<h t-if="o.partner_id.eq_firstname" t-field="o.partner_id.eq_firstname" />
									<h t-field="o.partner_id.name" />
								</div>
							</div>
							<div t-if="not o.partner_id.eq_firstname" style="clear:left;">
								<div  style="clear:left;">
									<h t-if="o.partner_id.title.name" t-field="o.partner_id.title.name"  />
									<h t-if="o.partner_id.eq_firstname" t-field="o.partner_id.eq_firstname" />
									<h t-field="o.partner_id.name" />
								</div>
								<div t-if="o.partner_id.eq_name2" t-field="o.partner_id.eq_name2" style="clear:left;" />
							</div>
							<div t-if="o.partner_id.eq_name3" t-field="o.partner_id.eq_name3" style="clear:left;" />
						</div>
						<div t-if="o.partner_id.is_company == False">
							<t t-if=" o.partner_id.parent_id.is_company == True">
								<span t-if="o.partner_id.parent_id.name" t-field="o.partner_id.parent_id.name" style="clear:left;"/>
							</t>
							<div t-if="o.partner_id.parent_id.eq_name2" t-field="o.partner_id.parent_id.eq_name2" style="clear:left;"/>
							<div t-if="o.partner_id.parent_id.eq_name3" t-field="o.partner_id.parent_id.eq_name3" style="clear:left;"/>
							<div style="clear:left;"><span t-if="o.partner_id.parent_id.name and o.partner_id.parent_id.is_company == True">c/o </span><span t-if="o.partner_id.title.name" t-field="o.partner_id.title.name"/> <span t-if="o.partner_id.eq_firstname" t-field="o.partner_id.eq_firstname"/> <span t-field="o.partner_id.name"/></div>
							<div t-if="o.partner_id.eq_name2" t-field="o.partner_id.eq_name2" style="clear:left;"/>
							<div t-if="o.partner_id.eq_name3" t-field="o.partner_id.eq_name3" style="clear:left;"/>
						</div>
						<div>
							<span t-field="o.partner_id.street" />
							<span t-if="o.partner_id.eq_house_no" t-field="o.partner_id.eq_house_no" />
						</div>
						<div t-if="o.partner_id.street2">
							<div t-field="o.partner_id.street2" />
						</div>
						<h>
							<span t-field="o.partner_id.zip" />
							<span t-field="o.partner_id.city" />
							<span t-if="o.partner_id.eq_citypart">
								-
								<span t-field="o.partner_id.eq_citypart" />
							</span>
						</h>
						<div t-field="o.partner_id.country_id.name" />
					</div>
				</div>
				<div class="col-xs-5 headerdata2"/>
			</div>
			<h2 class="reporttitle" style="margin-bottom:25px; margin-top:25px">
				<!--<span t-field="o.picking_type_id"/> -->
				<span t-if="o.state == 'done'">Delivery note:</span>
				<span t-if="not o.state == 'done'">Packing list:</span>
				<span t-field="o.name" />
			</h2>
			<table class="table table-condensed" style="margin-bottom:30px;" id="maincontent">
				<thead>
					<tr>
						<th>
							<strong>
								Our reference no.<!--Belegreferenz (Origin) -->
							</strong>
						</th>
						<th>
							<strong>Status</strong>
						</th>
						<!-- <th> <strong>Commitment Date --><!--Bestelldatum --><!-- </strong> </th> -->
						<th name="td_sched_date_h" t-if="not o.state == 'done'">
							<strong>
								Scheduled date<!--Geplante Lieferung -->
							</strong>
						</th>
						<th t-if="o.picking_type_id.code == 'outgoing'">
							<strong>Carrier</strong>
						</th>
						<th>
							<strong>Weight</strong>
						</th>
					</tr>
				</thead>
				<tbody> 
					<tr>
						<td>
							<span t-field="o.origin" />
						</td>
						<td>
							<span t-field="o.state" />
						</td>
						<!-- <td t-if="o.date and not o.state == 'done'"> ## Bestelldatum 
							ausgeblendet da es schon im Header angezeigt wird <span t-esc="o.date.split(' 
							')[0].split('-')[2] + '.' + o.date.split(' ')[0].split('-')[1] + '.' + o.date.split(' 
							')[0].split('-')[0]"/> </td> -->
						<td t-if="not o.date" />
						<td name="td_sched_date" t-if="o.min_date and not o.state == 'done'">
							<span
								t-esc="o.min_date.split(' ')[0].split('-')[2] + '.' + o.min_date.split(' ')[0].split('-')[1] + '.' + o.min_date.split(' ')[0].split('-')[0]" />
							<!-- <span t-field="o.min_date"/> -->
						</td>
						<td t-if="not o.min_date" />
						<td t-if="o.picking_type_id.code == 'outgoing'">
							<span t-field="o.carrier_id" />
						</td>
						<td>
							<span t-esc="o.get_weight(o.weight, o.partner_id.lang)" />
						</td>
					</tr>
				</tbody>
			</table>
			<table class="table table-condensed" id="move_lines">
				<thead> 
					<tr> 
						<th>
							<strong>Seq</strong>
						</th>
						<th style="min-width:2.6cm;">
							<strong>Item no.</strong>
						</th>
						<th>
							<strong>Item description</strong>
						</th>
						<th class="text-right" style="min-width:1.8cm;">
							<strong>Qty.</strong>
						</th>
						<t t-if="o.picking_type_id.code != 'incoming'">
							<th>
								<strong>Source</strong>
							</th>
						</t>
						<th>
							<strong>Barcode</strong>
						</th>
						<t t-if="o.picking_type_id.code != 'outgoing'">
							<th>
								<strong>Destination</strong>
							</th>
						</t>
					</tr>
				</thead> 
				<tbody>	
					<t t-foreach="o.sale_layout_lines(o.id)" t-as="p"> 
						
						<!-- Name of the category -->
						<t t-call="report_layout_changes.category_template" />
						
						<!-- go all category lines through -->
						<t t-foreach="p['lines']" t-as="move">
							<tr> 
								<td>
									<!-- pos no from contract -->
									<t t-esc="move.eq_pos_no" />
								</td>
								<td>
									<span t-field="move.product_id" />
								</td>
								<td id="eq_drawing_number">
									<span t-field="move.name" />
								</td>
								<td class="text-right">
									<span t-esc="o.get_qty(move.product_uom_qty, o.partner_id.lang)" />
									<span t-field="move.product_uom" groups="product.group_uom" />
								</td>
								<t t-if="o.picking_type_id.code != 'incoming'">
									<td>
										<span t-field="move.location_id" />
									</td>
								</t>
								<td class="barcode">
									<span t-if="move.product_id and move.product_id.barcode">
										<img
											t-att-src="'/report/barcode/?type=%s&amp;value=%s&amp;width=%s&amp;height=%s' % ('EAN13', move.product_id.barcode, 600, 100)"
											style="width:300px;height:50px" />
									</span>
								</td>
								<t t-if="o.picking_type_id.code != 'outgoing'">
									<td>
										<span t-field="move.location_dest_id" />
									</td>
								</t>
							</tr>
						</t>
					</t>
				</tbody>
			</table>
			<div name="invoice_partner" t-if="o.picking_type_id.code == 'outgoing' and o.sale_id and o.sale_id.partner_invoice_id"
					style="clear:both;">
				<table style="width:auto!important; max-width:90%;">
					<tbody> 
						<tr>
							<td style="padding-right:0.5cm; vertical-align:top;">
								<span style="font-weight:bold;">Invoice address:</span>
							</td>
							<td> 
								<div t-if="o.sale_id.partner_invoice_id.type != 'contact'">
									<div t-field="o.sale_id.partner_invoice_id.name" style="clear:left;" />
									<div t-if="o.sale_id.partner_invoice_id.eq_name2" t-field="o.sale_id.partner_invoice_id.eq_name2"
										style="clear:left;" />
									<div t-if="o.sale_id.partner_invoice_id.eq_name3" t-field="o.sale_id.partner_invoice_id.eq_name3"
										style="clear:left;" />
									<div>
										<span t-field="o.sale_id.partner_invoice_id.street" />
										<span t-if="o.sale_id.partner_invoice_id.eq_house_no"
											t-field="o.sale_id.partner_invoice_id.eq_house_no" />
									</div>
									<div t-if="o.sale_id.partner_invoice_id.street2">
										<div t-field="o.sale_id.partner_invoice_id.street2" />
									</div>
									<h>
										<span t-field="o.sale_id.partner_invoice_id.zip" />
										<span t-field="o.sale_id.partner_invoice_id.city" />
									</h>
									<div t-field="o.sale_id.partner_invoice_id.country_id.name" />
								</div>
								<!-- Rechnungsadresse IST Kontakt -->
								<div t-if="o.sale_id.partner_invoice_id.type == 'contact'">
									<div t-field="o.sale_id.partner_invoice_id.parent_id.name"
										style="clear:left;" />
									<div t-if="o.sale_id.partner_invoice_id.parent_id.eq_name2"
										t-field="o.sale_id.partner_invoice_id.parent_id.eq_name2"
										style="clear:left;" />
									<div t-if="o.sale_id.partner_invoice_id.parent_id.eq_name3"
										t-field="o.sale_id.partner_invoice_id.parent_id.eq_name3"
										style="clear:left;" />
									<span t-field="o.sale_id.partner_invoice_id.title.name" />
									<span t-field="o.sale_id.partner_invoice_id.eq_firstname"
										style="clear:left;" />
									<span t-field="o.sale_id.partner_invoice_id.name" style="clear:left;" />
									<div>
										<span t-field="o.sale_id.partner_invoice_id.street" />
										<span t-if="o.sale_id.partner_invoice_id.eq_house_no"
											t-field="o.sale_id.partner_invoice_id.eq_house_no" />
									</div>
									<div t-if="o.sale_id.partner_invoice_id.street2">
										<div t-field="o.sale_id.partner_invoice_id.street2" />
									</div>
									<h>
										<span t-field="o.sale_id.partner_invoice_id.zip" />
										<span t-field="o.sale_id.partner_invoice_id.city" />
										<span t-if="o.sale_id.partner_invoice_id.eq_citypart">
											-
											<span t-field="o.sale_id.partner_invoice_id.eq_citypart" />
										</span>
									</h>
									<div t-field="o.sale_id.partner_invoice_id.country_id.name" />
								</div>
							</td>
						</tr>
					</tbody> 
				</table>
			</div>
			<div style="display:inline-block;" id="additional_infos_block">
			</div>
			<div style="display:inline-block;" id="signature_block">
				<table style="margin-top:0.5cm;">
					<tr>
						<td>Goods received on date:</td>
					</tr>
					<tr>
						<td style="width:5cm; height:1.5cm; border-bottom: 1px solid #000;"></td>
					</tr>
					<tr>
						<td>Signature</td>
					</tr>
				</table>
			</div>
			<div class="oe_structure" />
		</div>
	</template>

	<template id="report_picking_document">
		<t t-set="o" t-value="doc.with_context(lang=doc.partner_id.lang)" />
		<t t-call="report_layout_changes.external_layout_stock_picking">
			<t t-call="report_layout_changes.report_picking_data"/>
		</t>
	</template>
	    		
	<template id="stock.report_picking"> 
		<t t-call="web.html_container">
			<t t-foreach="docs" t-as="doc">
				<t t-call="report_layout_changes.report_picking_document" t-lang="doc.partner_id.lang"/>
			 </t>
		</t>
	</template>
</flectra>